OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.SparseBuffer

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSparseBuffer :: MonadIO m => m Bool
- gl_ARB_sparse_buffer :: Bool
- gl_SPARSE_BUFFER_PAGE_SIZE_ARB :: GLenum
- gl_SPARSE_STORAGE_BIT_ARB :: GLbitfield
- glBufferPageCommitmentARB :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> GLboolean -> m ()
- glNamedBufferPageCommitmentARB :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> GLboolean -> m ()
- glNamedBufferPageCommitmentEXT :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> GLboolean -> m ()

# Extension Support

glGetARBSparseBuffer :: MonadIO m => m Bool

Is the ARB_sparse_buffer extension supported?

gl_ARB_sparse_buffer :: Bool

Is the ARB_sparse_buffer extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSparseBuffer` in those cases instead.

# Enums

gl_SPARSE_BUFFER_PAGE_SIZE_ARB :: GLenum

gl_SPARSE_STORAGE_BIT_ARB :: GLbitfield

# Functions

glBufferPageCommitmentARB

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> GLboolean | `commit`.
-> m () |

glNamedBufferPageCommitmentARB

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> GLboolean | `commit`.
-> m () |

glNamedBufferPageCommitmentEXT

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> GLboolean | `commit`.
-> m () |